Tryton - Issues

 

Issue8638

Title Expander still displayed for record without children
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type behavior Components sao
Assigned To ced Keywords review
Reviews 262091035,284031002
View: 262091035, 284031002

Created on 2019-09-05.12:12:36 by ced, last changed by roundup-bot.

Messages
New changeset fcffddce1056 by Cédric Krier in branch '5.0':
Use length on Sao.Group to display or not expander
https://hg.tryton.org/sao/rev/fcffddce1056
New changeset c0b0c3aec09d by Cédric Krier in branch '5.2':
Use length on Sao.Group to display or not expander
https://hg.tryton.org/sao/rev/c0b0c3aec09d
review284031002 updated at https://codereview.tryton.org/284031002/#ps282111002
msg51821 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-12.22:55:45
It was fixed by r 492e62d18080 (issue8240).
So here is review284031002 on 5.2 for backport.
review262091035 updated at https://codereview.tryton.org/262091035/#ps288031002
msg51666 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-05.12:12:35
issue8518 was not right because the children is a Sao.Group and so jQuery.isEmptyObject does not work (as we set some attributes).
Also even if the row was expanded if it does not have anymore any children, it should be collapsed.
History
Date User Action Args
2019-09-28 00:17:13roundup-botsetstatus: testing -> resolved
messages: + msg52054
keyword: - backport
2019-09-23 23:22:51cedsetstatus: resolved -> testing
keyword: + backport
2019-09-23 23:22:43roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg52009
keyword: - backport
2019-09-12 23:22:32reviewbotsetmessages: + msg51827
2019-09-12 22:55:45cedsetreviews: 262091035 -> 262091035,284031002
messages: + msg51821
2019-09-05 12:20:11reviewbotsetnosy: + reviewbot
messages: + msg51667
2019-09-05 12:15:48cedsetstatus: in-progress -> testing
reviews: 262091035
keyword: + backport, review
2019-09-05 12:12:36cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)